Skip to main content
GET
/
notifications
Get Notifications
curl --request GET \
  --url https://api.decodahealth.com/notifications \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "data": [
    {
      "id": "<string>",
      "read": true,
      "createdDate": "2023-11-07T05:31:56Z",
      "alert": {
        "type": "PATIENT_CREATED",
        "content": ""
      }
    }
  ],
  "unreadCount": 123,
  "nextCursor": "<string>"
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

alert_type
string[] | null

Filter by alert types

per_page
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null
read
boolean | null

Response

Successful Response

Cursor-paginated notification response with unread count metadata

data
ProviderNotificationSummary · object[]
required
unreadCount
integer | null
nextCursor
string | null